Free Support Forum - aspose.com

sprmPIstdPermute not yet supported

Has anyone else seen the the “sprmPIstdPermute not yet supported. For free technical support, please post this error and the file in the Aspose.Word Forums http://www.aspose.com/forums/ShowForum.aspx?ForumID=75.” error?

Any ideas on what is causing the problem? Here is a link to the Word doc that caused the error.

Hi,

What version of the component are you using? Please download and try the latest one. In case the problem does not disappear, please attach the document directly to your post. I'm unable to download it from the location you specified as "The page cannot be found" error occurs.

Thanks for the reply, Dmitry.

I think I found the problem with this error. The filename contained " (KTV).doc". Once I removed that it worked fine. However, I did get the following error on another file:
"Expected to get tabs sprm only once for a paragraph."

I saw in another post that this may be fixed in a newer version. Our version is 3.1.7, back when it was Aspose.Word. Where can I download the newest version?

A little addition to my previous post. Yet using the latest version is strongly recommended in all cases, it seems like the feature you reported is actually not supported in 4.0. However, please let us see your document as we must ensure if this is the case. I’ll then add it to our defect DB and probably tell you when this will get resolved.

A file name change did the trick??? Did you rename it right in a file explorer or opened/saved by Word?

You can download the newest version here:

http://www.aspose.com/Downloads/Aspose.Words/Default.aspx

Please keep us posted, your case is pretty interesting...

Here is the problem file:

DmitryV:

A file name change did the trick??? Did you rename it right in a file explorer or opened/saved by Word?

You can download the newest version here:

http://www.aspose.com/Downloads/Aspose.Words/Default.aspx

Please keep us posted, your case is pretty interesting...



Changed it in explorer, and it stopped the "sprmPIstdPermute" error. Still getting the tab error, but I'll try the newer version.

Yes, the file you attached is opened perfectly by Aspose.Words 4.0.

So should we install the 4.0 beta package? And will our current license work with it?

Surely install it, we are also going to release the final version this week. The license is not tied to the version number so there should be no problems.

DmitryV:

Surely install it, we are also going to release the final version this week. The license is not tied to the version number so there should be no problems.



Dmitry,

I installed 4.0 with no problems, but I'm getting the original "sprmPIstdPermute not yet supported." on the attached doc. There may be more, as it crashes at this point.

Resolved that by resaving the original document in Word 2003, see attached. I’ve also logged your request as issue #1283 in our defect list as planned initially.

DmitryV:
Resolved that by resaving the original document in Word 2003, see attached. I've also logged your request as issue #1283 in our defect list as planned initially.


Thanks for the hard work, Dmitry. I had a hunch and saved it using my copy of Word 2003, and it worked. I have no idea what version the lady who did these docs was using.

You've been a great help, and a credit to the Aspose team. Thanks again!